< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package calculations
  Definition Classes
    computations
- AdjustedTradingProfitCalculator
- AdjustedTradingProfitForPeriodCalculator
- AdjustedTradingProfitOrLossCalculator
- AnnualInvestmentAllowanceCalculator
- AnnualInvestmentAllowancePeriod
- AnnualInvestmentAllowancePeriods
- ApportionedTurnover
- ApportionedTurnoverCalculator
- ErrorState
- ExpensesCalculator
- FYA
- IncomeFromPropertyCalculator
- LossesBroughtForwardAgainstTradingProfitCalculator
- LossesCarriedForwardsCalculator
- LossesSetAgainstOtherProfitsCalculator
- LowEmissionCarRate
- LowEmissionCarsCalculator
- MachineryAndPlantCalculator
- MainRate
- NetProfitsChargeableToCtCalculator
- NetProfitsChargeableToCtWithoutDonationsCalculator
- NetTradingProfitCalculator
- NonBankInterestSimilarIncomeReceivableCalculator
- NonTradeIncomeCalculator
- PoolPercentageCalculator
- ProfitAndLossCalculator
- QualifyingExpenditureOnMachineryCalculation
- SBACalculator
- SpecialRate
- SummaryCalculator
- SummaryLossesArisingThisPeriodCalculator
- TotalAdditionsCalculator
- TotalDeductionsCalculator
- TotalExpenditureQualifyingForTheFirstYearAllowanceCalculator
- TotalFirstYearAllowanceClaimedCalculation
- TotalProfitsBeforeDeductionsCalculator
- TradingLossesCP286MaximumCalculator
- TradingLossesThisAndLaterPeriodCalculation
- WritingDownAllowanceCalculator

t

uk.gov.hmrc.ct.computations.calculations

# MachineryAndPlantCalculator 

###

#### trait MachineryAndPlantCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Known Subclasses
CATO20, CP186, CP666, CP668, CP78, CP89, CP90, CP91, CP92
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MachineryAndPlantCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class BalancesResult(cp90: CP90, cp91: CP91) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def computeBalanceAllowance(cpq8: CPQ8, cp78: CP78, cp84: CP84, cp666: CP666, cp673: CP673, cp674: CP674, cpAux1: CPAux1, cpAux2: CPAux2, cpAux3: CPAux3): CP90
7.  def computeBalancingCharge(cpq8: CPQ8, cp78: CP78, cp82: CP82, cp84: CP84, cp666: CP666, cp667: CP667, cp672: CP672, cp673: CP673, cp674: CP674, cpAux1: CPAux1, cpAux2: CPAux2, cpAux3: CPAux3, cato20: CATO20): CP91
8.  def computeTotalAllowancesClaimed(cpq8: CPQ8, cp87: CP87, cp88: CP88, cp89: CP89, cp90: CP90 = CP90(value = None)): CP186
9.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
   Definition Classes
     CtTypeConverters
10.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
13.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def sumOfCP78AndCP666(cp78: CP78, cp666: CP666): Set[CtValidation]
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  def unclaimedAIAFirstYearAllowance(cp87: CP87, cp88: CP88): CATO20
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
30.  def writtenDownValue(cpq8: CPQ8, cp78: CP78, cp79: CP79, cp82: CP82, cp83: CP83, cp89: CP89, cp91: CP91, cp672: CP672, cato20: CATO20, cpAux1: CPAux1, cpAux2: CPAux2): CP92

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped